# 
# Description: C ECI version 2 sample make file
#
# Licensed Materials - Property of IBM
#
# Supportpac CA0B
#
# (c) Copyright IBM Corp. 2012
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
# Status: Version 1 Release 1
#

# define platform specific settings
include ../env_c.def

all: ctgecib1 ctgecib2

ctgecib1: ctgecib1.c
	@echo
	@echo "Creating Basic ECI C version 2 Sample 1"
	@rm -f $@
	$(CC) -c $(CFLAGS64) ctgecib1.c
	$(LD) -o $@ ctgecib1.o $(LPATH) $(LFLAGC64)
		

ctgecib2: ctgecib2.c
	@echo
	@echo "Creating Basic ECI C version 2 Sample 2"
	@rm -f $@
	$(CC) -c $(CFLAGS64) ctgecib2.c
	$(LD) -o $@ ctgecib2.o $(LPATH) $(LFLAGC64)

clean:
	@echo "Removing executables and object files for ECI C version 2 Samples"
	rm -f ctgecib1.o
	rm -f ctgecib1
	rm -f ctgecib2.o
	rm -f ctgecib2

